import Test.QuickCheck.Batch
import InclusionTest


options1 :: TestOptions 
options1 = TestOptions
          { no_of_tests     = 1000
          , length_of_tests = 1000
          , debug_tests     = False }

options_predef :: TestOptions 
options_predef = TestOptions
                 { no_of_tests     = 1
                 , length_of_tests = 1
                 , debug_tests     = False }

main :: IO ()
main = do
  runTests "simple" options1
       [ run prop_hdf_idemp
       , run prop_epsilonForm_idemp
       , run prop_runInclusion_refl
       , run prop_emptyLang
       , run prop_mark_unmark_ok
       , run prop_reverse_idemp
       , run prop_eqre_refl
       , run prop_eqre'_refl
       , run prop_remDupl
       , run prop_created_dfa_reachable
       , run prop_crossdfareach
       , run prop_first_set
       , run prop_onunamb_runincl
       , run prop_check_created_dfa
       , run prop_check_extended_dfa
       , run glushkov_inclusion
       , run prop_oneunamb_inclusion
       , run prop_superoneunambiguous
       ]
  runTests "predef" options_predef
               [ run prop_parse_ok
               , run prop_symbols
               , run prop_inclusion_predef
               ]
